[lttng-dev] [PATCH 2/2] Support old compilers

Thomas Petazzoni thomas.petazzoni at free-electrons.com
Tue May 28 09:27:07 EDT 2013

Some old compilers do not use C99 as their default C language variant,
for example gcc 4.3.x, which is used on some old machines. When such a
compiler is used, by default, ULLONG_MAX is not visible. Adding
-std=gnu99 is needed to make this definition visible.

In autoconf speak, this translates into the need of using
AC_PROC_CC_STDC instead of AC_PROG_CC. See
for more details.

Signed-off-by: Thomas Petazzoni <thomas.petazzoni at free-electrons.com>
 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/configure.ac b/configure.ac
index 83822d6..3ddcb7c 100644
--- a/configure.ac
+++ b/configure.ac
@@ -17,7 +17,7 @@ AC_CONFIG_HEADERS([config.h])
 # Checks for programs.

More information about the lttng-dev mailing list